Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Loading…

ArgumentError thrown by Authlogic 2.1.6 using Rails 2.3.12 #269

Open
sgerrand opened this Issue · 0 comments

1 participant

@sgerrand

After upgrading a Rails 2.3.11 app that uses Authlogic 2.1.6, I'm getting exceptions raised by the setup method used in my functional tests.

ArgumentError: comparison of ActiveSupport::TimeWithZone with 1310341488 failed
    authlogic (2.1.6) lib/authlogic/session/magic_columns.rb:82:in `>='
    authlogic (2.1.6) lib/authlogic/session/magic_columns.rb:82:in `set_last_request_at?'
    authlogic (2.1.6) lib/authlogic/session/callbacks.rb:83:in `before_save'
    authlogic (2.1.6) lib/authlogic/session/existence.rb:68:in `save'
    authlogic (2.1.6) lib/authlogic/session/existence.rb:30:in `create'
    /test/test_helper.rb:53:in `setup'

This looks like more of an ActiveRecord issue regarding casting SQLite3 time stored as Unix epoch back to a Time object, but I thought that I'd throw it here as a FYI.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.